#
# spec file for package SputLite
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%if 0%{?suse_version}
%define cgi_bin        /srv/www/cgi-bin
%define cgi_mod_perl   /srv/www/cgi-mod-perl
%define templatedir    /srv/www/templates
%else
%define cgi_bin        /var/www/cgi-bin
%define cgi_mod_perl   /var/www/cgi-mod-perl
%define templatedir    /var/www/templates
%endif
%define bin            %{_bindir}
%define vardir         /var/lib/nocpulse

Name:           SputLite
Source0:        SputLite-git-f1e93e638aef9caed20c73d21a326afe3ffcab0b.tar.gz
Version:        0.48.12
Release:        1.3
Summary:        Command queue processor (Sputnik Lite)
Url:            https://fedorahosted.org/spacewalk
BuildArch:      noarch
%if 0%{?suse_version}
BuildRequires:  nocpulse-common
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif

Group:          Applications/System
License:        GPL v2 only
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Provides command-queue capability.



%package server
License:        GPL v2 only
Summary:        Command queue processor (Sputnik Lite)
Group:          Applications/System
Requires:       nocpulse-common

%description server
Provides command-queue server capability.



%package client
License:        GPL v2 only
Summary:        Command queue processor (Sputnik Lite)
%if ! 0%{?suse_version}
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
Requires:       MessageQueue ProgAGoGo
Group:          Applications/System
Requires:       nocpulse-common

%description  client
Provides command-queue client capability for Spacewalk.



%prep
%setup -q -n SputLite-git-f1e93e638aef9caed20c73d21a326afe3ffcab0b

%build
#Nothing to build

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse
install -m 644 lib/CommandQueue.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/CommandQueue.pm

# Install server
# CGI bin and mod-perl bin
mkdir -p $RPM_BUILD_ROOT%cgi_bin
mkdir -p $RPM_BUILD_ROOT%cgi_mod_perl
install -m 755 html/cgi-mod-perl/*.cgi $RPM_BUILD_ROOT%cgi_mod_perl
install -m 755 html/cgi-bin/*.cgi $RPM_BUILD_ROOT%cgi_bin

# Server HTML templates
mkdir -p $RPM_BUILD_ROOT%templatedir
install -m 644 html/templates/*.html $RPM_BUILD_ROOT%templatedir

# Install client
# Client perl libraries
mkdir -p $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/CommandQueue
install -m 644 lib/CommandQueue/Command.pm $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/CommandQueue/Command.pm
install -m 644 lib/CommandQueue/Parser.pm  $RPM_BUILD_ROOT%{perl_vendorlib}/NOCpulse/CommandQueue/Parser.pm

# Client NOCpulse bin
mkdir -p $RPM_BUILD_ROOT%bin
install -m 755 bin/execute_commands $RPM_BUILD_ROOT%bin/execute_commands

# Client var files and directories
mkdir -p $RPM_BUILD_ROOT%vardir/commands
mkdir -p $RPM_BUILD_ROOT%vardir/queue/commands

%post client
# only needed in the update case because of a moved home
%if ! 0%{?suse_version}
if [ $1 -eq 2 ]; then
  ls /home/nocpulse/var/commands/heartbeat 2>/dev/null | xargs -I file mv file %{vardir}/commands
  ls /home/nocpulse/var/commands/last_completed 2>/dev/null | xargs -I file mv file %{vardir}/commands
  ls /home/nocpulse/var/commands/last_started 2>/dev/null | xargs -I file mv file %{vardir}/commands
fi
%endif

%files server
%defattr(-,root,root,-)
%attr(755, nocpulse, nocpulse) %dir %templatedir
%{perl_vendorlib}/NOCpulse/*
%cgi_bin/*
%dir %{cgi_mod_perl}
%cgi_mod_perl/*
%templatedir/*

%files client
%defattr(-,root,root,-)
%attr(755,nocpulse,nocpulse) %dir %{vardir}
%attr(755,nocpulse,nocpulse) %dir %{vardir}/queue
%attr(755,nocpulse,nocpulse) %dir %{vardir}/commands
%attr(755,nocpulse,nocpulse) %dir %{vardir}/queue/commands
%{_bindir}/*
%dir %{perl_vendorlib}/NOCpulse/CommandQueue
%{perl_vendorlib}/NOCpulse/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 15 2010 mantel@suse.de
- Initial release of SputLite
